var ssVisible = false; // backward compat

var availableBanners = [
    { streamType: "DEFAULT", elemId: "default_media" },
    { streamType: "TOP_BANNER", elemId: "top_banner_media" },
    { streamType: "BOTTOM_BANNER", elemId: "bottom_banner_media" },
    { streamType: "LEFT_BANNER", elemId: "left_banner_media" },
    { streamType: "RIGHT_BANNER", elemId: "right_banner_media" },
];

function initAdBanners() {
    var list, ab, e;

    for(var i=0, len = availableBanners.length; i < len; ++i) {
        e = availableBanners[i];

        if(document.getElementById(e.elemId)) {
            list = getADsForStream(e.streamType);
            if(list.length > 0) {
                ab = new AdsBanner(list, "#"+e.elemId, {
                    imageDelaySecs: (baseOpts.imageDelaySecs || 10)
                });
                ab.init();
                console.log(e.streamType + " Ad stream initialized");
            }
        }
    }
}

function specialBannerOnScreenSaver(streamType) { // backward compat
    return null;
}
